Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class Dom4jInstantiator

    java.lang.Object
      org.hibernate.tuple.Dom4jInstantiator

All Implemented Interfaces:
  Serializable, Instantiator

    public class Dom4jInstantiator

extends Object
implements Instantiator

Performs "instantiation" based on DOM4J elements.

See Also:
  Serialized Form

Constructor Summary
`Dom4jInstantiator(Component component)`
`Dom4jInstantiator(PersistentClass mappingInfo)`

Method Summary
`Object` | `instantiate()` Perform the requested instantiation.
`Object` | `instantiate(Serializable id)` Perform the requested entity instantiation.
`boolean` | `isInstance(Object object)` Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4jInstantiator

    public Dom4jInstantiator(Component component)

### Dom4jInstantiator

    public Dom4jInstantiator(PersistentClass mappingInfo)

Method Detail

### instantiate

    public Object instantiate(Serializable id)

  Description copied from interface: `Instantiator`
  Perform the requested entity instantiation.

  This form is never called for component instantiation, only entity instantiation.

  Specified by:
    `instantiate` in interface `Instantiator`
  Parameters:
    `id` - The id of the entity to be instantiated.
  Returns:
    An appropriately instantiated entity.

### instantiate

    public Object instantiate()

  Description copied from interface: `Instantiator`
  Perform the requested instantiation.

  Specified by:
    `instantiate` in interface `Instantiator`
  Returns:
    The instantiated data structure.

### isInstance

    public boolean isInstance(Object object)

  Description copied from interface: `Instantiator`
  Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

  Specified by:
    `isInstance` in interface `Instantiator`
  Parameters:
    `object` - The object to be checked.
  Returns:
    True is the object does respresent an instance of the underlying entity/component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD